<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=039e1c02" />
    <script src="_static/documentation_options.js?v=5929fcd5"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#K"><strong>K</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="pipe.html#pipe.abstract_collector">abstract_collector() (in module pipe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.clean_new_lines">clean_new_lines() (in module helpers.preprocessing)</a>
</li>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.clean_stop_words">clean_stop_words() (in module helpers.preprocessing)</a>
</li>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.clean_white_spaces">clean_white_spaces() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="pipe.html#pipe.cleaning_pipe">cleaning_pipe() (in module pipe)</a>
</li>
      <li><a href="helpers/helper_functions.html#helpers.helper_functions.connect_to_db">connect_to_db() (in module helpers.helper_functions)</a>
</li>
      <li><a href="helpers/helper_functions.html#helpers.helper_functions.crossref_metada_api_call">crossref_metada_api_call() (in module helpers.helper_functions)</a>
</li>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.cut_text_on_phrase">cut_text_on_phrase() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/rules.html#helpers.rules.dcg">dcg() (in module helpers.rules)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/helper_functions.html#helpers.helper_functions.doi_to_filename">doi_to_filename() (in module helpers.helper_functions)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.extractor">extractor() (in module helpers.keyphrase_extractor)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/helper_functions.html#helpers.helper_functions.filepath_to_doi">filepath_to_doi() (in module helpers.helper_functions)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/helper_functions.html#helpers.helper_functions.filter_named_entities">filter_named_entities() (in module helpers.helper_functions)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_by_doi">get_by_doi() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_doi_from_req">get_doi_from_req() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_doi_prefix_dict">get_doi_prefix_dict() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_elsevier_by_doi">get_elsevier_by_doi() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/rules.html#helpers.rules.get_epoch_name">get_epoch_name() (in module helpers.rules)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/rules.html#helpers.rules.get_epochs_number">get_epochs_number() (in module helpers.rules)</a>
</li>
      <li><a href="helpers/rules.html#helpers.rules.get_key_words">get_key_words() (in module helpers.rules)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_publisher">get_publisher() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_springer_by_doi">get_springer_by_doi() (in module helpers.get_by_doi)</a>
</li>
      <li><a href="helpers/get_by_doi.html#helpers.get_by_doi.get_wiley_by_doi">get_wiley_by_doi() (in module helpers.get_by_doi)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    helpers.get_by_doi

      <ul>
        <li><a href="helpers/get_by_doi.html#module-helpers.get_by_doi">module</a>
</li>
      </ul></li>
      <li>
    helpers.helper_functions

      <ul>
        <li><a href="helpers/helper_functions.html#module-helpers.helper_functions">module</a>
</li>
      </ul></li>
      <li>
    helpers.keyphrase_extractor

      <ul>
        <li><a href="helpers/keyphrase_extractor.html#module-helpers.keyphrase_extractor">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    helpers.preprocessing

      <ul>
        <li><a href="helpers/preprocessing.html#module-helpers.preprocessing">module</a>
</li>
      </ul></li>
      <li>
    helpers.rules

      <ul>
        <li><a href="helpers/rules.html#module-helpers.rules">module</a>
</li>
      </ul></li>
      <li>
    helpers.text_encoder

      <ul>
        <li><a href="helpers/text_encoder.html#module-helpers.text_encoder">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="pipe.html#pipe.information_extraction_pipeline">information_extraction_pipeline() (in module pipe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="K">K</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.KeyphraseExtractionPipeline">KeyphraseExtractionPipeline (class in helpers.keyphrase_extractor)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.lem_words">lem_words() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.lowercase_text">lowercase_text() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="pipe.html#pipe.main">main() (in module pipe)</a>

      <ul>
        <li><a href="scripts/count_abstracts.html#scripts.count_abstracts.main">(in module scripts.count_abstracts)</a>
</li>
        <li><a href="scripts/get_abstracts.html#scripts.get_abstracts.main">(in module scripts.get_abstracts)</a>
</li>
        <li><a href="scripts/get_list_of_publishers.html#scripts.get_list_of_publishers.main">(in module scripts.get_list_of_publishers)</a>
</li>
      </ul></li>
      <li><a href="pipe.html#pipe.metadata_collector">metadata_collector() (in module pipe)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="helpers/get_by_doi.html#module-helpers.get_by_doi">helpers.get_by_doi</a>
</li>
        <li><a href="helpers/helper_functions.html#module-helpers.helper_functions">helpers.helper_functions</a>
</li>
        <li><a href="helpers/keyphrase_extractor.html#module-helpers.keyphrase_extractor">helpers.keyphrase_extractor</a>
</li>
        <li><a href="helpers/preprocessing.html#module-helpers.preprocessing">helpers.preprocessing</a>
</li>
        <li><a href="helpers/rules.html#module-helpers.rules">helpers.rules</a>
</li>
        <li><a href="helpers/text_encoder.html#module-helpers.text_encoder">helpers.text_encoder</a>
</li>
        <li><a href="pipe.html#module-pipe">pipe</a>
</li>
        <li><a href="scripts/count_abstracts.html#module-scripts.count_abstracts">scripts.count_abstracts</a>
</li>
        <li><a href="scripts/epoch_csv_gen.html#module-scripts.epoch_csv_gen">scripts.epoch_csv_gen</a>
</li>
        <li><a href="scripts/epochs_to_db.html#module-scripts.epochs_to_db">scripts.epochs_to_db</a>
</li>
        <li><a href="scripts/get_abstract_from_doi_with_request.html#module-scripts.get_abstract_from_doi_with_request">scripts.get_abstract_from_doi_with_request</a>
</li>
        <li><a href="scripts/get_abstracts.html#module-scripts.get_abstracts">scripts.get_abstracts</a>
</li>
        <li><a href="scripts/get_list_of_publishers.html#module-scripts.get_list_of_publishers">scripts.get_list_of_publishers</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/rules.html#helpers.rules.named_entity_bert">named_entity_bert() (in module helpers.rules)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/rules.html#helpers.rules.named_entity_nltk">named_entity_nltk() (in module helpers.rules)</a>
</li>
      <li><a href="helpers/rules.html#helpers.rules.named_entity_spacy">named_entity_spacy() (in module helpers.rules)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    pipe

      <ul>
        <li><a href="pipe.html#module-pipe">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.KeyphraseExtractionPipeline.postprocess">postprocess() (helpers.keyphrase_extractor.KeyphraseExtractionPipeline method)</a>
</li>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.preprocessing_pipeline">preprocessing_pipeline() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.remove_first_line">remove_first_line() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.remove_puntuation">remove_puntuation() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    scripts.count_abstracts

      <ul>
        <li><a href="scripts/count_abstracts.html#module-scripts.count_abstracts">module</a>
</li>
      </ul></li>
      <li>
    scripts.epoch_csv_gen

      <ul>
        <li><a href="scripts/epoch_csv_gen.html#module-scripts.epoch_csv_gen">module</a>
</li>
      </ul></li>
      <li>
    scripts.epochs_to_db

      <ul>
        <li><a href="scripts/epochs_to_db.html#module-scripts.epochs_to_db">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    scripts.get_abstract_from_doi_with_request

      <ul>
        <li><a href="scripts/get_abstract_from_doi_with_request.html#module-scripts.get_abstract_from_doi_with_request">module</a>
</li>
      </ul></li>
      <li>
    scripts.get_abstracts

      <ul>
        <li><a href="scripts/get_abstracts.html#module-scripts.get_abstracts">module</a>
</li>
      </ul></li>
      <li>
    scripts.get_list_of_publishers

      <ul>
        <li><a href="scripts/get_list_of_publishers.html#module-scripts.get_list_of_publishers">module</a>
</li>
      </ul></li>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.stem_words">stem_words() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.tokenize_if_string">tokenize_if_string() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="helpers/preprocessing.html#helpers.preprocessing.translate_interval_dash">translate_interval_dash() (in module helpers.preprocessing)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">python</a></li>
<li class="toctree-l1"><a class="reference internal" href="pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
    </div>

    

    
  </body>
</html>